All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.prompts
Class DynamicPromptValueContext

    com.sas.prompts.DynamicPromptValueContext

All Implemented Interfaces:
  DynamicPromptValueContextInterface

    public class DynamicPromptValueContext

implements DynamicPromptValueContextInterface

Default implementation of the DynamicPromptValueContextInterface. It stores the PromptValuesInterface, PromptGroupInterface, and PromptUserContextInterface for passing to the PromptDefinition when asking for a list of dynamic values.

Constructor Summary
`DynamicPromptValueContext(MetadataInterface metadata)` Create a DynamicPromptValuecontext which is used by OLAP dynamic prompts to retrieve the values from the OLAP server.
`DynamicPromptValueContext(PromptValuesInterface promptValues, PromptGroupInterface promptGroup, com.sas.prompts.PromptUserContextInterface promptUserContext)` Constructor
`DynamicPromptValueContext(PromptValuesInterface promptValues, PromptGroupInterface promptGroup, com.sas.prompts.PromptUserContextInterface promptUserContext, DataProviderInterface dataProvider)` Constructor

Method Summary
`DataProviderInterface` | `getDataProvider()` Returns the DataProviderInterface to use when generating and executing queries.
`MetadataInterface` | `getMetadata()` Return a MetadataInterface used in querying dynamic values for an OLAP source.
`PromptGroupInterface` | `getPromptGroup()` Returns the PromptGroupInterface to use when generating queries.
`com.sas.prompts.PromptUserContextInterface` | `getPromptUserContext()` This is not currently used.
`PromptValuesInterface` | `getPromptValues()` Returns the PromptValuesInterface to use when generating queries.

Constructor Detail

### DynamicPromptValueContext

    public DynamicPromptValueContext(MetadataInterface metadata)

  Create a DynamicPromptValuecontext which is used by OLAP dynamic prompts to retrieve the values from the OLAP server.

  Parameters:
    `metadata` -

### DynamicPromptValueContext

    public DynamicPromptValueContext(PromptValuesInterface promptValues,
                                     PromptGroupInterface promptGroup,
                                     com.sas.prompts.PromptUserContextInterface promptUserContext,
                                     DataProviderInterface dataProvider)

  Constructor

  Parameters:
    `promptValues` - The PromptValuesInterface to use when generating queries. This parameter may not be null.
    `promptGroup` - The PromptGroupInterface to use when generating queries. This parameter may not be null.
    `promptUserContext` - This is not currently used. This parameter may not be null.
    `dataProvider` - The DataProviderInterface to use when generating and executing queries. This parameter may not be null.

### DynamicPromptValueContext

    public DynamicPromptValueContext(PromptValuesInterface promptValues,
                                     PromptGroupInterface promptGroup,
                                     com.sas.prompts.PromptUserContextInterface promptUserContext)

  Constructor

  Parameters:
    `promptValues` - The PromptValuesInterface to use when generating queries. This parameter may not be null.
    `promptGroup` - The PromptGroupInterface to use when generating queries. This parameter may not be null.
    `promptUserContext` - This is not currently used. This parameter may not be null.

Method Detail

### getPromptValues

    public PromptValuesInterface getPromptValues()

  Returns the PromptValuesInterface to use when generating queries.

  Specified by:
    `getPromptValues` in interface `DynamicPromptValueContextInterface`

### getPromptGroup

    public PromptGroupInterface getPromptGroup()

  Returns the PromptGroupInterface to use when generating queries.

  Specified by:
    `getPromptGroup` in interface `DynamicPromptValueContextInterface`

### getPromptUserContext

    public com.sas.prompts.PromptUserContextInterface getPromptUserContext()

  This is not currently used.

  Specified by:
    `getPromptUserContext` in interface `DynamicPromptValueContextInterface`

### getDataProvider

    public DataProviderInterface getDataProvider()

  Description copied from interface: `DynamicPromptValueContextInterface`
  Returns the DataProviderInterface to use when generating and executing queries.

  Specified by:
    `getDataProvider` in interface `DynamicPromptValueContextInterface`

### getMetadata

    public MetadataInterface getMetadata()

  Return a MetadataInterface used in querying dynamic values for an OLAP source. Currently this is used in the OLAP member name value provider that is associated with IQ data item.

  Returns:
    MetadataInterface used in querying dynamic values for an OLAP source.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.